New Symbology: Simple Markers don't allow to specify stroke-width

2011-02-01 05:34 AM - Andreas Neumann

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 13518

Description

In the new Symbology, there is no way to specify a stroke-width for simple markers. This was possible in the old symbology.

History

#1 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#3 - 2012-08-30 06:40 PM - Alister Hood

- Pull Request or Patch supplied set to No

- Status info deleted (0)

- Operating System deleted (Debian)

- Priority changed from Low to Normal

- Assignee deleted (nobody -)

There is also no way to specify pen style, which was possible in the old symbology.

But is it best to just implement those features, or should it be possible to use any line symbology (i.e. simple line or marker line)?

This is similar to #3430: fill pattern missing for point markers in new symbology engine.

In that case just adding the ability to specify a fill pattern in the same way as the old symbology has been declined, as it is considered that it should be

possible to use any fill symbology (simple fill, line pattern fill, etc).

#4 - 2012-08-30 10:22 PM - Alister Hood

Also note that the stroke style has the same issue as the fill pattern at #3430 - it doesn't scale.  But I don't know if this is a limitation in QT as it is for the fill

pattern.

#5 - 2012-08-31 02:04 AM - Giovanni Manghi

Alister Hood wrote:
There is also no way to specify pen style, which was possible in the old symbology.

But is it best to just implement those features, or should it be possible to use any line symbology (i.e. simple line or marker line)?

This is similar to #3430: fill pattern missing for point markers in new symbology engine.

In that case just adding the ability to specify a fill pattern in the same way as the old symbology has been declined, as it is considered that it should be

possible to use any fill symbology (simple fill, line pattern fill, etc).

If there is something in old symbology that is missing in the new one, please add it here

https://issues.qgis.org/wiki/quantum-gis/Switching_from_Old_to_New_Symbology_and_Labeling

#6 - 2012-08-31 11:03 PM - Alister Hood

If there is something in old symbology that is missing in the new one, please add it here

Yes, I already did, but I am a little confused about how that page is supposed to work now.

Apart from the two items in "simple markers", it looks like someone has moved all of the old symbology features which are missing in the new symbology

into the first section, and all the other sections are supposed to be new feature requests.  Is that right?  If so we should delete the "simple markers" section

and move those two items into the first section.

#7 - 2012-09-04 12:03 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#8 - 2012-09-14 12:33 PM - Giovanni Manghi

- Target version changed from Version 2.0.0 to Version 1.8.0

Yes, I already did, but I am a little confused about how that page is supposed to work now.

Apart from the two items in "simple markers", it looks like someone has moved all of the old symbology features which are missing in the new

symbology into the first section, and all the other sections are supposed to be new feature requests.  Is that right?

yes, I was asked to do so by the developers after I raised the issue on the dev mailing list.

If so we should delete the "simple markers" section and move those two items into the first section.

please help me making the page more clear by editing it where it is needed. Cheers.

#9 - 2012-09-16 02:42 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#10 - 2013-05-27 06:08 AM - Andreas Neumann

- Status changed from Open to Closed

- Resolution set to fixed
This is now implemented along with the new data-defined symbology.
